Summary:       TIFF Library and Utilities
Name:          libtiff
Version:       4.4.0
Release:       3%{?dist}
License:       libtiff
URL:           http://www.simplesystems.org/libtiff/
Source0:        http://download.osgeo.org/libtiff/tiff-%{version}.tar.gz

BuildRequires: gcc, gcc-c++, make, libtool, automake, autoconf, pkgconfig
BuildRequires: zlib-devel, libjpeg-devel, jbigkit-devel, libzstd-devel, libwebp-devel

%description
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

%package devel
Summary:  Development files for libtiff library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains development files.

%package static
Summary:  libtiff static library
Requires: %{name}-devel = %{version}-%{release}

%description static
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains static library.

%package tools
Summary:  A small collection of tools for performing simple manipulations of TIFF images
Requires: %{name} = %{version}-%{release}

%description tools
The LibTIFF software provides support for the Tag Image File Format
(TIFF), a widely used format for storing image data.

This package contains a small collection of tools.



%prep
%autosetup -p1 -n tiff-%{version}



%build
# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I . -I m4
automake --add-missing --copy
autoconf
autoheader

export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure --enable-ld-version-script
%make_build



%install
%make_install
rm %{buildroot}%{_libdir}/*.la



%check
LD_LIBRARY_PATH=$PWD:$LD_LIBRARY_PATH make check



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYRIGHT
%doc README.md RELEASE-DATE VERSION
%{_libdir}/libtiff.so.*
%{_libdir}/libtiffxx.so.*
%{_datadir}/doc/

%files devel
%doc TODO ChangeLog html
%{_includedir}/*
%{_libdir}/libtiff.so
%{_libdir}/libtiffxx.so
%{_libdir}/pkgconfig/libtiff*.pc
%{_mandir}/man3/*

%files static
%{_libdir}/*.a

%files tools
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 01 2022 Zhao Zhen <jeremiazhao@tencent.com> - 4.4.0-1
- Initial building.
